INTERFACE
SUBROUTINE CPUTQYSAD ( KPROMA, KSTART, KPROF, KFLEV, PDT,&
 & PTENDH5, PTENDQ5, PTENDU5, PTENDV5,&
 & PCP95, PDELP95, PTT95, PUT95, PVT95,&
 & PTENDH, PTENDQ, PTENDU, PTENDV,&
 & PCP9, PDELP9, PTT9, PUT9, PVT9,&
 & PFDIS,PTT1, PQT1, PUT1, PVT1 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQ5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDU5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDV5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDQ(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFDIS(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT1(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT1(KPROMA,KFLEV)
END SUBROUTINE CPUTQYSAD
END INTERFACE
